<template>
  <header class="header">
    <router-link to="/">
      <a href="#" class="header_logo" title="logo">
        <img src="../assets/home_logo.png" alt="">
      </a>
    </router-link>
    <a href="#" class="header_search" title="search">
      <font-awesome-icon icon="search"></font-awesome-icon>
    </a>
  </header>
</template>

<script>
export default {
  name: 'Header',
  methods: {
    onClick() {
      this.$emit('click');
    },
  },
};
</script>

<style scoped lang="scss">
  .header {
    padding: 20px 40px 20px 60px;
    overflow: hidden;
    max-width: 1360px;
    margin: 0 auto;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;

    &_search {
      color: #f65261;
      transform: rotate(90deg);
      height: 20px;
      width: 20px;
    }
  }

</style>